> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/endpoint-overview/standings/get-standings-by-season-id.md).

# GET Standings by Season ID

### `GET` Standings by Season ID

```
https://soccer.sportmonks.com/api/v2.0/standings/season/{season_ID}
```

| Endpoint details        |         |
| ----------------------- | ------- |
| Authorization           | API Key |
| Pagination              | NO      |
| Allowed nested includes | 2       |

#### Parameters

| Available parameters |                                                                                                                   |
| -------------------- | ----------------------------------------------------------------------------------------------------------------- |
| include              | Enrich the API with more data and/or nested includes. Can be used by adding `&include=` etc. to your request url. |
| stage\_ids           | A Comma separated list of stage ids. Can be used by adding `&stage_ids=` etc. to your request url.                |
| group\_ids           | A Comma separated list of group ids. Can be used by adding `&group_ids=` etc. to your request url.                |

#### Include options

{% hint style="info" %}
Note that includes on this endpoint must be prefixed by "standings."
{% endhint %}

`team` `league` `season` `round` `stages`<br>

Includes are the cornerstone of our API and allow you to enrich and customize your requests. This flexibility is what distinguishes us from our competitors.&#x20;

You can learn more about what includes are and how they work here:

{% content-ref url="/pages/-MJXOeyBzTS35Z7kTf1c" %}
[Includes](/v2/tutorials/enriching-your-response/includes.md)
{% endcontent-ref %}

#### Example response

{% tabs %}
{% tab title="Request" %}

```aspnet
https://soccer.sportmonks.com/api/v2.0/standings/season/17420?api_token={API_TOKEN}
```

{% endtab %}

{% tab title="Response" %}

```javascript
"data": [
        {
            "id": 77448322,
            "name": "Regular Season",
            "league_id": 8,
            "season_id": 17420,
            "round_id": 202038,
            "round_name": 38,
            "type": "Group Stage",
            "stage_id": 77448322,
            "stage_name": "Regular Season",
            "resource": "stage",
            "standings": {
                "data": [
                    {
                        "position": 1,
                        "team_id": 9,
                        "team_name": "Manchester City",
                        "round_id": 202038,
                        "round_name": 38,
                        "group_id": null,
                        "group_name": null,
                        "overall": {
                            "games_played": 38,
                            "won": 27,
                            "draw": 5,
                            "lost": 6,
                            "goals_scored": 83,
                            "goals_against": 32,
                            "points": 86
                        },
                        "home": {
                            "games_played": 19,
                            "won": 13,
                            "draw": 2,
                            "lost": 4,
                            "goals_scored": 43,
                            "goals_against": 17,
                            "points": 41
                        },
                        "away": {
                            "games_played": 19,
                            "won": 14,
                            "draw": 3,
                            "lost": 2,
                            "goals_scored": 40,
                            "goals_against": 15,
                            "points": 45
                        },
                        "total": {
                            "goal_difference": "51",
                            "points": 86
                        },
                        "result": "UEFA Champions League",
                        "points": 86,
                        "recent_form": "WLWLW",
                        "status": null
                    },
                    {
                        "position": 2,
                        "team_id": 14,
                        "team_name": "Manchester United",
                        "round_id": 202038,
                        "round_name": 38,
                        "group_id": null,
                        "group_name": null,
                        "overall": {
                            "games_played": 38,
                            "won": 21,
                            "draw": 11,
                            "lost": 6,
                            "goals_scored": 73,
                            "goals_against": 44,
                            "points": 74
                        },
                        "home": {
                            "games_played": 19,
                            "won": 9,
                            "draw": 4,
                            "lost": 6,
                            "goals_scored": 38,
                            "goals_against": 28,
                            "points": 31
                        },
                        "away": {
                            "games_played": 19,
                            "won": 12,
                            "draw": 7,
                            "lost": 0,
                            "goals_scored": 35,
                            "goals_against": 16,
                            "points": 43
                        },
                        "total": {
                            "goal_difference": "29",
                            "points": 74
                        },
                        "result": "UEFA Champions League",
                        "points": 74,
                        "recent_form": "WLLDW",
                        "status": null
                    },
```

{% endtab %}

{% tab title="Field Description" %}
**Season Field Description**

| Field        | Description                               |
| ------------ | ----------------------------------------- |
| `id`         | The unique id of the current stage        |
| `name`       | The name of the stage                     |
| `league_id`  | The unique league id the stage belongs to |
| `season_id`  | The unique id of the current season       |
| `round_id`   | The unique id of the current round        |
| `round_name` | The name of the round                     |
| `type`       | Indicates what kind of type this stage is |
| `stage_id`   | The unique id of the current stage        |
| `stage_name` | The name of the stage                     |

**Standings Field Description**

| **Field**     | Description                                                                                       |
| ------------- | ------------------------------------------------------------------------------------------------- |
| `position`    | The actual position in the rankings in the stage                                                  |
| `team_id`     | The unique team id of the team in that position in the stage                                      |
| `team_name`   | The team name in that position in the stage                                                       |
| `round_id`    | &#xD;The unique id of the current round                                                           |
| `round_name`  | The name of the round                                                                             |
| `group_id`    | The unique id of the group, in which the team participates in                                     |
| `group_name`  | The name of the group, in which the team participates in                                          |
| `overall`     | The overall results of the team, i.e., the number of games, points and goals                      |
| `home`        | The home results of the team, i.e., the number of games, points and goals                         |
| `away`        | The away results of the team, i.e., the number of games, points and goals                         |
| `total`       | The total points of the team and their goal difference                                            |
| `results`     | The standing rules of the place the team is in                                                    |
| `points`      | The accumulated number of points the team has                                                     |
| `recent_form` | The recent form of the team                                                                       |
| `status`      | Will be available in API 3.0: Indicates if the team moves up on down based on the last standings. |
| {% endtab %}  |                                                                                                   |
| {% endtabs %} |                                                                                                   |

{% hint style="info" %}
Check this endpoint in Postman.\
&#x20;                                                             [![Run in Postman](https://run.pstmn.io/button.svg)](https://football-postman.sportmonks.com/#2ff8afe4-5381-4d8c-acff-35afea3267e3)
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportmonks.com/v2/endpoint-overview/standings/get-standings-by-season-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
